Skip to main content
PUT
/
file-entries
/
{entryId}
/
shareable-link
curl -X PUT https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "password": "newpassword",
    "allowDownload": true
  }'
{
  "status": "success",
  "link": {
    "id": 789,
    "hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
    "user_id": 15843,
    "entry_id": 123456,
    "allow_edit": false,
    "allow_download": true
  }
}

Overview

Updates the settings of an existing shareable link.

Path Parameters

entryId
integer
required
ID or hash of the file entry

Request Body

password
string
New password (or remove by setting to null)
expiresAt
string
New expiration date (ISO 8601 format)
allowEdit
boolean
Allow editing via the link
allowDownload
boolean
Allow downloading via the link

Response

The updated shareable link object
status
string
Request status (success)
curl -X PUT https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "password": "newpassword",
    "allowDownload": true
  }'
{
  "status": "success",
  "link": {
    "id": 789,
    "hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
    "user_id": 15843,
    "entry_id": 123456,
    "allow_edit": false,
    "allow_download": true
  }
}